## python-pyrgg 1.8

=== requirements.txt ===
pyyaml>=3.12
art>=0.7

## python-pyrgg 1.4

=== debian/changelog ===
python-pyrgg (1.4-2) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 18 Dec 2023 07:26:19 -0300

python-pyrgg (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1056004)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Fri, 01 Dec 2023 03:00:00 +0000

=== debian/control ===
Source: python-pyrgg
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/sepandhaghighi/pyrgg
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyrgg.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyrgg
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-python,
               python3-all,
               python3-yaml <!nocheck>,
               python3-scipy <!nocheck>,
               python3-networkx <!nocheck>,
               python3-pydot <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python

Package: python3-pyrgg
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-art
Pre-Depends: ${misc:Pre-Depends}
Description: Python Random Graph Generator
 Pyrgg is an easy-to-use synthetic random graph generator
 written in Python which supports various graph file formats
 including DIMACS .gr files. Pyrgg has the ability to
 generate graphs of different sizes and is designed to
 provide input files for broad range of graph-based
 research applications, including but not limited to
 testing, benchmarking and performance-analysis of graph
 processing frameworks.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyrgg

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Exclude the 'pyrgg' binary
	rm debian/python3-pyrgg/usr/bin/pyrgg
	rm -d debian/python3-pyrgg/usr/bin

=== debian/tests/control ===
Tests: runtests
Depends: @, python3-yaml, python3-scipy, python3-networkx, python3-pydot, python3-pytest, python3-pytest-cov, python3-all
Restrictions: allow-stderr

## python-pyrgg 1.5

=== debian/changelog ===
python-pyrgg (1.5-1) unstable; urgency=medium

  * New upstream version 1.5.
  * Update patches
    - Drop 001-fix-for-DocTestFailure.patch.
  * d/control: update testsuite to autopkgtest-pkg-pybuild +
    add doctest-dev to B-Depends + update Uploaders email ID +
    routine updates.
  * Remove debian/pybuild.testfiles.
  * d/rules: enable pyrgg executable.
  * Add d/pyrgg.1 and d/python3-pyrgg.manpages.
  * d/copyright: update email ID and year for debian/* copyright.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 22 Sep 2024 05:34:15 +0000

python-pyrgg (1.4-3) unstable; urgency=medium

  * Added patch to fix DocTestFailure.
  * d/control: Replaced dh-python3 with dh-sequence-python3
    in B-Depends + Bumped Standards-Version to 4.7.0.
  * d/tests replaced with autopkgtest-pkg-python as testsuite.
  * d/rules: '--with python3' replaced by dh-sequence-python3.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 23 Apr 2024 23:30:00 +0000

## python-pyrgg 1.6

=== debian/changelog ===
python-pyrgg (1.6-1) unstable; urgency=medium

  * New upstream version 1.6.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 19 Nov 2024 06:37:43 +0000

=== debian/control ===
Source: python-pyrgg
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/sepandhaghighi/pyrgg
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyrgg.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyrgg
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 doctest-dev <!nocheck>,
 python3-all,
 python3-networkx <!nocheck>,
 python3-pydot <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-yaml <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyrgg
Architecture: all
Depends:
 python3-art,
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Python Random Graph Generator
 Pyrgg is an easy-to-use synthetic random graph generator
 written in Python which supports various graph file formats
 including DIMACS .gr files. Pyrgg has the ability to
 generate graphs of different sizes and is designed to
 provide input files for broad range of graph-based
 research applications, including but not limited to
 testing, benchmarking and performance-analysis of graph
 processing frameworks.

=== debian/watch ===
version=4
https://github.com/sepandhaghighi/pyrgg/tags .*/v(\d\S+)\.tar\.gz

## python-pyrgg 1.8

=== debian/changelog ===
python-pyrgg (1.8-1) unstable; urgency=medium

  * New upstream version 1.8.
  * d/watch: bump to version 5 format.
  * Patch to remove deprecated distutils in setup.py.
  * d/control:
    - Bump Standards-Version to 4.7.2.
    - Remove Rules-Requires-Root.
  * d/copyright: update debian/* copyright.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 13 Oct 2025 16:48:42 +0000

## python-pyrgg 1.9

=== debian/changelog ===
python-pyrgg (1.9-1) unstable; urgency=medium

  * New upstream version 1.9.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 07 Nov 2025 16:17:13 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-yaml <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyrgg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyrgg

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: sepandhaghighi
Project: pyrgg

## python-pyrgg 2.0

=== debian/changelog ===
python-pyrgg (2.0-1) unstable; urgency=medium

  * New upstream version 2.0.
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.
  * Update 001-remove-deprecated-distutils.patch for new upstream version.
  * d/copyright: update debian/* copyright year.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 02 Feb 2026 03:08:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyrgg.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyrgg
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,7 +18,7 @@
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyrgg
